<div id="app">
  <block color="#ef5350">
    <text-field placeholder="All U Need Is Pizza" [value]="filter" (handleInput)="setFilter($event)" [size]="18" [editable]="true"></text-field>
  </block>
  <block [height]="285" color="#ffca28">
    <div class="listview">
      <row>
        <hyper-link leftCell (handleClick)="navigateToNew()">New</hyper-link>
      </row>
      <row *ngFor="let pizza of getFilteredPizzas().sort(byKey('label'))">
        <hyper-link leftCell (handleClick)="navigateToPizza(pizza.id)">{{ pizza.label }}</hyper-link>
        <text-field rightCell>{{ pizza.price.toFixed(2) }} €</text-field>
      </row>
      <row>
        <hyper-link leftCell to="//gitlab.com/aunip/angular">Code Source</hyper-link>
      </row>
    </div>
  </block>
  <block color="#ffa726">
    <text-field [size]="18">{{ getFilteredPizzas().length }} / {{ getAllPizzas().length }}</text-field>
  </block>
</div>
